<?php

include '../inc.php';

mysqli_query($conn, "CREATE TABLE `akun` (
  `id` int(15) NOT NULL auto_increment,
  `hash` varchar(32) NOT NULL DEFAULT '',
  `nama` varchar(150) NOT NULL DEFAULT '',
  `link` varchar(100) NOT NULL DEFAULT '',
  `img` varchar(500) NOT NULL DEFAULT '',
  `desk` text(1000) NOT NULL DEFAULT '',
  `data` text(1000) NOT NULL DEFAULT '',
  `status` varchar(10) NOT NULL DEFAULT '',
  `harga` int(8) NOT NULL DEFAULT '0',
  `modal` int(8) NOT NULL DEFAULT '0',
  `cat_id` int(8) NOT NULL DEFAULT '0',
  `time` int(8) NOT NULL DEFAULT '0',
PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1");

mysqli_query($conn, "CREATE TABLE `paypal` (
  `id` int(15) NOT NULL auto_increment,
  `email` varchar(150) NOT NULL DEFAULT '',
  `sandi` varchar(100) NOT NULL DEFAULT '',
  `dibuat` varchar(500) NOT NULL DEFAULT '',
  `data` text(1000) NOT NULL DEFAULT '',
  `status` varchar(10) NOT NULL DEFAULT '',
  `vcc` varchar(100) NOT NULL DEFAULT '',
  `wa` bigint(20) NOT NULL DEFAULT '0',
  `time` int(8) NOT NULL DEFAULT '0',
PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1");

mysqli_query($conn, "CREATE TABLE `chat` (
  `id` int(15) NOT NULL auto_increment,
  `hash` varchar(32) NOT NULL DEFAULT '',
  `wa` bigint(20) NOT NULL DEFAULT '0',
  `trx_id` varchar(15) NOT NULL DEFAULT '',
  `admin` int(1) NOT NULL DEFAULT '0',
  `pesan` text(1000) NOT NULL DEFAULT '',
  `time` int(8) NOT NULL DEFAULT '0',
PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1");


mysqli_query($conn, "CREATE TABLE `domain` (
  `id` int(15) NOT NULL auto_increment,
  `hash` varchar(32) NOT NULL DEFAULT '',
  `scode` varchar(15) NOT NULL DEFAULT '',
  `domain` varchar(50) NOT NULL DEFAULT '',
  `domain2` varchar(50) NOT NULL DEFAULT '',
  `status` varchar(10) NOT NULL DEFAULT '',
  `bank` varchar(50) NOT NULL DEFAULT '',
  `wa` bigint(20) NOT NULL DEFAULT '0',
  `harga` int(8) NOT NULL DEFAULT '0',
  `modal` int(8) NOT NULL DEFAULT '0',
  `untung` int(8) NOT NULL DEFAULT '0',
  `time` int(8) NOT NULL DEFAULT '0',
  `add` int(8) NOT NULL DEFAULT '0',
  `tld` varchar(8) NOT NULL DEFAULT '',
  `webreg` varchar(80) NOT NULL DEFAULT '',
  `da` varchar(5) NOT NULL DEFAULT '',
  `pa` varchar(5) NOT NULL DEFAULT '',
  `ss` varchar(5) NOT NULL DEFAULT '',
  `mt` varchar(5) NOT NULL DEFAULT '',
  `mr` varchar(5) NOT NULL DEFAULT '',
  `ar` varchar(15) NOT NULL DEFAULT '',
  `dr` varchar(5) NOT NULL DEFAULT '',
  `ur` varchar(5) NOT NULL DEFAULT '',
  `bl_moz` varchar(15) NOT NULL DEFAULT '',
  `bl_ref` varchar(15) NOT NULL DEFAULT '',
  `bl_gov` varchar(15) NOT NULL DEFAULT '',
  `bl_edu` varchar(15) NOT NULL DEFAULT '',
  `hi` varchar(5) NOT NULL DEFAULT '',
  `reg` varchar(15) NOT NULL DEFAULT '',
  `exp` varchar(15) NOT NULL DEFAULT '',
  `ref0` varchar(100) NOT NULL DEFAULT '',
  `ref1` varchar(100) NOT NULL DEFAULT '',
  `ref2` varchar(100) NOT NULL DEFAULT '',
  `ref3` varchar(100) NOT NULL DEFAULT '',
  `ref4` varchar(100) NOT NULL DEFAULT '',
  `ref5` varchar(100) NOT NULL DEFAULT '',
  `ref6` varchar(100) NOT NULL DEFAULT '',
  `ref7` varchar(100) NOT NULL DEFAULT '',
  `ref8` varchar(100) NOT NULL DEFAULT '',
  `ref9` varchar(100) NOT NULL DEFAULT '',
PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1");

mysqli_query($conn, "CREATE TABLE `transaksi` (
  `id` int(15) NOT NULL auto_increment,
  `hash` varchar(32) NOT NULL DEFAULT '',
  `produk` varchar(250) NOT NULL DEFAULT '',
  `scode` varchar(15) NOT NULL DEFAULT '',
  `jenis` varchar(20) NOT NULL DEFAULT '',
  `status` varchar(10) NOT NULL DEFAULT '',
  `prod_id` int(5) NOT NULL DEFAULT '0',
  `bank` varchar(30) NOT NULL DEFAULT '',
  `refid_id` int(5) NOT NULL DEFAULT '0',
  `wa` varchar(20) NOT NULL DEFAULT '',
  `harga` int(8) NOT NULL DEFAULT '0',
  `modal` int(8) NOT NULL DEFAULT '0',
  `untung` int(8) NOT NULL DEFAULT '0',
  `time` int(8) NOT NULL DEFAULT '0',
  `hari` int(8) NOT NULL DEFAULT '0',
PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1");

mysqli_query($conn, "CREATE TABLE `pay` (
  `id` int(9) NOT NULL auto_increment,
  `raw` text(1000) NOT NULL DEFAULT '',
  `hash` varchar(32) NOT NULL DEFAULT '',
  `web` varchar(32) NOT NULL DEFAULT '',
  `wa` bigint(16) NOT NULL DEFAULT '0',
  `nominal` bigint(6) NOT NULL DEFAULT '0',
  `refid` bigint(20) NOT NULL DEFAULT '0',
  `create` bigint(20) NOT NULL DEFAULT '0',
  `expired` bigint(20) NOT NULL DEFAULT '0',
  `status` varchar(32) NOT NULL DEFAULT '',
  `merchant_id` bigint(20) NOT NULL DEFAULT '0',
  `api_id` bigint(20) NOT NULL DEFAULT '0',
  `customer_data` varchar(50) NOT NULL DEFAULT '',
  `customer_pan` bigint(20) NOT NULL DEFAULT '0',
  `merchant_pan` bigint(20) NOT NULL DEFAULT '0',
  `acquirer_id` bigint(20) NOT NULL DEFAULT '0',
  `issuer_name` varchar(50) NOT NULL DEFAULT '',
  `rrn` bigint(20) NOT NULL DEFAULT '0',
  `total_paid` bigint(20) NOT NULL DEFAULT '0',
PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1");


mysqli_query($conn, "CREATE TABLE `user` (
  `id` int(15) NOT NULL auto_increment,
  `hash` varchar(32) NOT NULL DEFAULT '',
  `scode` varchar(15) NOT NULL DEFAULT '',
  `otp` int(8) NOT NULL DEFAULT '0',
  `nama` varchar(50) NOT NULL DEFAULT '',
  `wa` bigint(20) NOT NULL DEFAULT '0',
  `saldo` int(8) NOT NULL DEFAULT '0',
  `time` int(8) NOT NULL DEFAULT '0',
PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1");


echo '<br /><br /><br />
    <center>
        <h1>DATABASE DI INSTALL</h1>
    </center>';
    
?>
