<?php


function ahrefsRefDomNewLostCount($u, $key, $lmt){
    $get = json_decode(file_get_contents('https://apiv2.ahrefs.com?from=refdomains_new_lost_counters&order_by=date:desc&target='.$u.'&mode=subdomains&limit='.$lmt.'&output=json&token='.$key.''), true);
    return $get['counts'];
}

function ahrefsRefDomNewLost($u, $key, $lmt){
    $get = json_decode(file_get_contents('https://apiv2.ahrefs.com?from=refdomains_new_lost&order_by=date:desc&target='.$u.'&mode=subdomains&limit='.$lmt.'&output=json&token='.$key.''), true);
    return $get['refdomains'];
}

function ahrefsMetrics($u, $key){
    $get = json_decode(file_get_contents('https://apiv2.ahrefs.com?from=metrics_extended&target='.$u.'&mode=subdomains&output=json&token='.$key.''), true);
    return $get['metrics'];
}

function ahrefsBackPerLink($u, $key, $lmt){
    $get = json_decode(file_get_contents('https://apiv2.ahrefs.com?from=backlinks_one_per_domain&target='.$u.'&order_by=total_backlinks:desc&mode=subdomains&limit='.$lmt.'&output=json&token='.$key.''), true);
    return $get['refpages'];
}

function ahrefsNewLost($u, $key, $lmt){
    $get = json_decode(file_get_contents('https://apiv2.ahrefs.com?from=backlinks_new_lost&target='.$u.'&mode=subdomains&order_by=date:desc&limit='.$lmt.'&output=json&token='.$key.''), true);
    return $get['refpages'];
}

function ahrefsBacklinks($u, $key, $lmt, $by){
    $get = json_decode(file_get_contents('https://apiv2.ahrefs.com?from=backlinks&target='.$u.'&order_by='.$by.'&mode=subdomains&limit='.$lmt.'&output=json&token='.$key.''), true);
    return $get['refpages'];
    //by first_seen:desc, domain_rating:desc
}

function ahrefsAnchorRefDomain($u, $key, $lmt){
    $get = json_decode(file_get_contents('https://apiv2.ahrefs.com?from=anchors_refdomains&target='.$u.'&order_by=anchors:desc&mode=subdomains&limit='.$lmt.'&output=json&token='.$key.''), true);
    return $get['refdomains'];
}

function ahrefsAnchor($u, $key, $lmt){
    $get = json_decode(file_get_contents('https://apiv2.ahrefs.com?from=anchors&target='.$u.'&mode=subdomains&limit='.$lmt.'&output=json&token='.$key.''), true);
    return $get['anchors'];
}

function ahrefsUR($u, $key, $lmt){
    $get = json_decode(file_get_contents('https://apiv2.ahrefs.com?from=ahrefs_rank&target='.$u.'&mode=subdomains&limit='.$lmt.'&order_by=ahrefs_rank:desc&output=json&token='.$key.''), true);
    return $get['pages'];
}

function ahrefsARDR($u, $key){
    $get = json_decode(file_get_contents('https://apiv2.ahrefs.com?from=domain_rating&target='.$u.'&mode=subdomains&output=json&token='.$key.''), true);
    return $get['domain'];
}

function ahrefsQuota($key){
    $u = json_decode(file_get_contents('https://apiv2.ahrefs.com?from=subscription_info&output=json&token='.$key.''), true);
    return $u['info']['rows_left'];
}


?>