<?php


function whoisGetServer($v){
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, "https://www.iana.org/domains/root/db/$v.html");
        curl_setopt($ch, CURLOPT_HEADER, 0);
        curl_setopt($ch, CURLOPT_POST, 0);
        curl_setopt($ch, CURLOPT_USERAGENT, $_SERVER['HTTP_USER_AGENT']);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        $output = curl_exec($ch);      
        curl_close($ch);
        preg_match("/WHOIS Server:(.*)/i", $output, $fw);
        $fw = trim(str_replace('</b>', '', $fw[1]));
        return $fw;
}

function whoisGetData($domain, $server){
        $fp = @fsockopen($server, 43, $errno, $errstr, 20) 
        or die("Socket Error " . $errno . " - " . $errstr);
        fputs($fp, $domain . "\r\n");
        $out = "";
        while(!feof($fp)){
        $out .= fgets($fp);
        }
        fclose($fp);
        return $out;
}

function whoisGetDomain($tld){
        $domain = trim(strtolower($tld));
        $domain = str_replace('https://', '', $domain);
        $domain = str_replace('http://', '', $domain);
        $domain = str_replace('www.', '', $domain);
        $domain = explode('/', $domain);
        $domain = $domain[0];
        $array = array(
            'domain' => $domain,
            'tld' => pathinfo($domain, PATHINFO_EXTENSION)
                    );
        return $array;
}

function whoisOn($fwhois){
        preg_match("/created:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            if(empty($created)){
        preg_match("/Registered On:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/Domain Create Date:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/Registration Date:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/Registration Time:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/Created:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/Domain Registration Date:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/Creation Date:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/Created On:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/Domain record activated:(.*)/i", $fwhoisf, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/Domain Created:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/registration:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '0';
            }
            return $created ?? 'Entahlah';
}


function whoisOff($fwhois){
preg_match("/expires:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            if(empty($created)){
        preg_match("/Expires On:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/Registry Expiry Date:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/Expiration Date:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/Expiration Time:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/Expire Date:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/Expired:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/expiration:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/Expired On:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/Domain expires:(.*)/i", $fwhoisf, $f);
        $created = trim($f[1]) ?? '';
            }
            if(empty($created)){
        preg_match("/Domain Created:(.*)/i", $fwhois, $f);
        $created = trim($f[1]) ?? '';
            }
            return $created ?? 'Entahlah';
}


function whoisAge($v){
          date_default_timezone_set('UTC');
          if($v=='Entahlah'){
            return $v;
            } else {
          $time = time() - strtotime($v);
          $years = floor($time / 31556926);
          $days = floor(($time % 31556926) / 86400);
          if($years == "1"){
              $y= "1";
          } else {
              $y = $years;
          }
          if($days == "1"){
              $d = "1";
          } else {
              $d = $days;
          }
          if($y=='0'){
              $vi = "$d HARI";
          } else {
              $vi = "$y THN, $d HARI";
          }
          return $vi;
            }
 }
 
function whoisToDate($v){
        if($v=='Entahlah'){
        return $v;
        } else {
        return gmdate("d-m-Y", strtotime($v));
        }
} 
 

/************************************************************************/

function whois_v2($domain_v2){
  
    $wayb = json_decode(grab('https://web.archive.org/cdx/search/cdx?output=json&fl=timestamp&limit=1&url='.$domain_v2), true);
    $count = count($wayb)-1;
        if($count=='0'){
    $arsip = 'No Data';        
        } else {
    $arsip = gmdate("Y", strtotime($wayb[1][0]));
            if($arsip=='1970'){
                $arsip = 'No Data';
            }
        }
    $x_arsip = $arsip;
    
   // $x_arsip = '???';
$domain = whoisGetDomain($domain_v2);
$fwhois = whoisGetData($domain['domain'], whoisGetServer($domain['tld']));
    if(whoisToDate(whoisOff($fwhois))=='01-01-1970'){
$whon = 'Entahlah...';
$whoff = 'Entahlah...';
$whage = 'Entahlah...';
$ip = gethostbyname($domain_v2);        
    } else {
$whon = whoisToDate(whoisOn($fwhois));
$whoff = whoisToDate(whoisOff($fwhois));
$whage = whoisAge(whoisOn($fwhois));
$ip = gethostbyname($domain_v2);
    }
    if($whon !=='Entahlah...'){
    $x_on = str_replace('-', '/', $whon);
    $x_off = str_replace('-', '/', $whoff);
    $data = array('arsip' => $x_arsip, 'on' => $x_on, 'off' => $x_off,  'umur' => $whage);
    } else {
    $data = array('arsip' => $x_arsip, 'on' => 'No Data', 'off' => 'No Data', 'umur' => 'No Data');
    }
    return $data;
}

?>