<?php

include '../../inc.php';
include '../../active/v2_head.php';

echo head_v2(760, '5%', 'NagaBiz ID - Tutorial Setting Domain');

echo '<div style="padding: 7px;">
            <style>
                img { padding: 3px 0px; display: block; width: 100%; }
            </style>
            
            <h3>Setting DNS NameCheap Ke Blogger</h3>
            <br />

                    <p>[01] Login ke halaman <a href="https://ap.www.namecheap.com/" target="_blank">My Account Panel</a></p>
                    <p>[02] Klik <b>Manage</b> pada domain yang ingin di Edit
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/470411695375717.jpg" /></p>
                    <p>[03] Turun ke bagian <b>Name Servers</b>, pilih Namecheap BasicDNS dan klik tanda betul
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/271171695377696.jpg" /></p>
                    <p>[04] Jika sudah, geser ke samping dan pilih <b>Advanced DNS</b>
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/859231695377788.jpg" /></p>
                    <p>[05] Atau jika kamu menggunakan smartphone, menu Advanced nya ada di segitiga sebelah kanan
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/716071695377972.jpg" /></p>
                    <p>[06] Kotak DNS akan muncul, hapus semua DNS bawaan dengan klik tanda tong sampah
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/585491695378482.jpg" /></p>
                    <p>[07] Klik <b>Add New Record</b> 5x sampai muncul 5 kotak DNS
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/426921695378591.jpg" /></p>
                    <p>[08] Isi kotak DNS seperti ini</p>
                        <ul type="square">
                    <li><b>Type</b> pilih <b>A Record</b></li>
                    <li><b>Host</b> isi dengan <b>@</b></li>
                    <li><b>Value</b> isi <b>216.239.32.21</b></li>
                    <li><b>TTL</b> pilih <b>Automatic</b></li>
                        </ul>
                    <p>[09] Ulangi langkah [08] untuk ip 216.239.34.21 dan 216.239.36.21 dan 216.239.38.21</p>
                    <p>[10] Pada kotak terakhir, Isi kotak DNS seperti ini</p>
                        <ul type="square">
                    <li><b>Type</b> pilih <b>CNAME Record</b></li>
                    <li><b>Host</b> isi dengan <b>www</b></li>
                    <li><b>Value</b> isi <b>ghs.google.com</b></li>
                    <li><b>TTL</b> pilih <b>Automatic</b></li>
                        </ul>
                    <p>[11] Jika 5 kotak sudah terisi, klik <b>Save All Changes</b>
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/813491695379811.jpg" /></p>
                    <p>[12] Buka tab baru dan buka Blogger > Setelan > Domain Kustom, 
                    kemudian masukkan domain dikotak yang disediakan disertai <b>www.</b></p>
                    <p>[13] Sebagian domain, ada yang ketika ditambahkan di Domain Kustom, langsung <b>bisa terpasang, 
                    ini bagus</b>, namun ada juga yang memerlukan setting tambahan seperti dibawah ini
                    <img src="https://hamidi.co.id/wp-content/uploads/2023/07/Capture-20.png" /></p>
                    <p>[14] Dari keterangan ini, bisa disimpulkan kita disuruh untuk memasang dua CNAME ini. 
                    Yang pertama adalah host <b>www</b> dengan tujuan <b>ghs.google.com</b> dan yang kedua adalah 
                    host <b>cffg4crjna65</b> dengan tujuan <b>gv-xehjzqzs2rl3do.dv.googlehosted.com</b></p>
                    <p>[15] Oke, karena host www sudah kita pasang, artinya kita hanya perlu memasang record yang ke dua. 
                    Salin Host dan Tujuan yang kedua lalu kembali ke tab Advanced DNS tadi dan isikan seperti langkah [10] dengan cara Add New Record</p>
                    <p>[16] Setelah selesai, akan muncul 6 DNS ini, namun jika ada DNS jenis A selain empat IP ini, di Delete saja.
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/728701695380212.jpg" /></p>
                    <p>[17] Kembali ke tab Blogger/Blogspot dan klik Simpan pada domain kustom tadi, apabila belum tersimpan, 
                    tunggu sekitar 10 menit dan klik Simpan lagi, jika masih belum bisa, ulangi sampai bisa tersimpan.</p>
                    <p>[18] Apabila sudah tersimpan (berhasil dipasangkan), pastikan 3 tombol ini dihidupkan (hijau)
                    <img src="https://hamidi.co.id/wp-content/uploads/2023/07/Capture-22.png" /></p>
                    <p>[19] Biasanya blog mu belum bisa di akses, lihat pada bagian Ketersediaan HTTPS, jika statusnya sudah Tersedia, berarti blog mu sudah online.</p>
               
      </div>';
      
include '../../active/v2_foot.php';

?>
            