<?php

include '../../inc.php';
include '../../active/v2_head.php';

echo head_v2(760, '5%', 'NagaBiz ID - Tutorial Setting Domain');

echo '<div style="padding: 7px;">
            <style>
                img { padding: 3px 0px; display: block; width: 100%; }
            </style>
            
            <h3>Setting DNS Dynadot Ke Blogger</h3>
            <br />

                    <p>[01] Login ke halaman <a href="https://www.dynadot.com/account/domain/name/list.html" target="_blank">Domain List</a></p>
                    <p>[02] Klik pada domain yang ingin di edit</p>
                    <p>[03] Pada bagian <b>DNS Setting</b>, klik tanda <b>segitiga</b>
                    <p>[04] Pilih <b>Dynadot DNS</b>
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/995981692547123.jpg" /></p>
                    <p>[05] Pada bagian <b>Domain Record (optional)</b> klik <b>Add Record</b> sampai terdapat 4 kotak
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/390221692547432.jpg" /></p>
                    <p>[06] Kemudian pada kotak <b>Record Type</b> yang ada empat, pilih <b>A</b> semuanya, 
                    kotak <b>IP Adress</b> isi 216.239.32.21 dan 216.239.34.21 dan 216.239.36.21 dan 216.239.38.21
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/656251692547906.jpg" /></p>
                    <p>[07] Pada bagian <b>Subomain Record</b>, kotak Subdomain isi <b>www</b> dan kotak <b>Record Type</b>
                    pilih <b>CNAME</b> dan kotak IP Address isi <b>ghs.google.com</b> dan <b style="color:red">JANGAN</b> di klik Save Settings dulu
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/948041692548173.jpg" /></p>
                    <p>[08] Buka tab baru dan buka Blogger > Setelan > Domain Kustom, 
                    kemudian masukkan domain dikotak yang disediakan disertai <b>www.</b></p>
                    <p>[09] Sebagian domain, ada yang ketika ditambahkan di Domain Kustom, langsung <b>bisa terpasang, 
                    ini bagus</b>, namun ada juga yang memerlukan setting tambahan seperti dibawah ini
                    <img src="https://hamidi.co.id/wp-content/uploads/2023/07/Capture-20.png" /></p>
                    <p>[10] Dari keterangan ini, bisa disimpulkan kita disuruh untuk memasang dua CNAME ini. 
                    Yang pertama adalah host <b>www</b> dengan tujuan <b>ghs.google.com</b> dan yang kedua adalah 
                    host <b>cffg4crjna65</b> dengan tujuan <b>gv-xehjzqzs2rl3do.dv.googlehosted.com</b></p>
                    <p>[11] Oke, karena host www sudah kita pasang, artinya kita hanya perlu memasang record yang ke dua. 
                    Salin Host dan Tujuan yang kedua lalu kembali ke tab Dynadot tadi dan pada <b>Subdomain Record</b>, 
                    klik <b>Add Record</b> (lihat pada langkah <b>[07]</b> lalu isikan dengan DNS yang disalin dari warning merah Blogger tadi dan klik Save Settings
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/897831692548747.jpg" /></p>
                    <p>[12] Setelah selesai, akan muncul 6 DNS ini, namun jika ada DNS jenis A selain empat IP ini, di Delete saja.</p>
                    <p>[13] Kembali ke tab Blogger/Blogspot dan klik Simpan pada domain kustom tadi, apabila belum tersimpan, 
                    tunggu sekitar 10 menit dan klik Simpan lagi, jika masih belum bisa, ulangi sampai bisa tersimpan.</p>
                    <p>[14] Apabila sudah tersimpan (berhasil dipasangkan), pastikan 3 tombol ini dihidupkan (hijau)
                    <img src="https://hamidi.co.id/wp-content/uploads/2023/07/Capture-22.png" /></p>
                    <p>[15] Biasanya blog mu belum bisa di akses, lihat pada bagian Ketersediaan HTTPS, jika statusnya sudah Tersedia, berarti blog mu sudah online.</p>
               
      </div>';
      
include '../../active/v2_foot.php';

?>
            