<?php

function menu($menu, $title, $desc, $link){
    $view = '
    <div class="card card-sub">
        <div class="card-header card-header-sub">
			<a class="card-link card-link-sub" data-toggle="collapse"  href="#menu-'.$menu.'" aria-expanded="false" aria-controls="menu-'.$menu.'">
				<span class="collapsed"><i class="fa fa-plus"></i></span> 
				<span class="expanded"><i class="fa fa-minus"></i></span> 
				'.$title.'
			</a>
        </div>
        <div id="menu-'.$menu.'" class="collapse">
          <div class="card-body card-body-sub">
			'.$desc.'
			[<a href="'.$link.'">ENTER</a>]
          </div>
        </div>
    </div>
    ';
    return $view;
}
function rootmenu($menu, $title, $desc){
    $view = '
    <div class="card">
        <div class="card-header">
			<a class="card-link" data-toggle="collapse"  href="#menu-'.$menu.'" aria-expanded="false" aria-controls="menu-'.$menu.'">
				<span class="collapsed"><i class="fa fa-plus"></i></span> 
				<span class="expanded"><i class="fa fa-minus"></i></span> 
				'.$title.'
			</a>
        </div>
        <div id="menu-'.$menu.'" class="collapse">
          <div class="card-body">
			'.$desc.'
          </div>
        </div>
    </div>
    ';
    return $view;
}
function PanelPaper($menu, $title, $desc){
    $view = '
    <div class="card">
        <div class="card-header">
			<b class="card-link" data-toggle="collapse"  href="#menu-'.$menu.'" aria-expanded="false" aria-controls="menu-'.$menu.'">
				<span style="color:red;"><i class="fa fa-angle-double-right"></i></span>  
				'.$title.'
			</b>
        </div>
        <div id="menu-'.$menu.'" class="expanded">
          <div class="card-body">
			'.$desc.'
          </div>
        </div>
    </div>
    ';
    return $view;
}
function PanelOpen($menu, $title, $desc){
    $view = '
    <div class="card">
        <div class="card-header">
			<a class="card-link" data-toggle="collapse"  href="#menu-'.$menu.'" aria-expanded="false" aria-controls="menu-'.$menu.'">
				<span class="collapsed" style="color:red;"><i class="fa fa-angle-double-right"></i></span>  
				<span class="expanded" style="color:red;"><i class="fa fa-chevron-down"></i></span> 
				'.$title.'
			</a>
        </div>
        <div id="menu-'.$menu.'" class="expanded">
          <div class="card-body">
			'.$desc.'
          </div>
        </div>
    </div>
    ';
    return $view;
}
function PanelClose($menu, $title, $desc){
    $view = '
    <div class="card">
        <div class="card-header">
			<a class="card-link" data-toggle="collapse"  href="#menu-'.$menu.'" aria-expanded="false" aria-controls="menu-'.$menu.'">
				<span class="collapsed" style="color:red;"><i class="fa fa-angle-double-right"></i></span>  
				<span class="expanded" style="color:red;"><i class="faz faz-chevron-down"></i></span> 
				'.$title.'
			</a>
        </div>
        <div id="menu-'.$menu.'" class="collapse">
          <div class="card-body">
			'.$desc.'
          </div>
        </div>
    </div>
    ';
    return $view;
}


$panelScript = '
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
               ';

?>