<?php

include '../../inc.php';
include '../../active/v2_head.php';

echo head_v2(760, '5%', 'NagaBiz ID - Tutorial Setting Domain');

echo '<div style="padding: 7px;">
            <style>
                img { padding: 3px 0px; display: block; width: 100%; }
            </style>
            
            <h3>Setting DNS Cosmotown Ke Blogger</h3>
            <br />
            <p align="justify">Sebelum menggunakan DNS, kamu harus mengatur NameServer terlebih dahulu, buka <a href="cosmotown_ns.html">halaman ini</a>
            lalu isi ndns1.cosmotown.com dan ndns1.cosmotown.com kemudian tunggu sekitar 10 menit, baru setting DNS.</p>
            
                    <p>[01] Masuk ke MyAccount <a href="https://www.cosmotown.com">cosmotown</a></p>
                    <p>[02] Pada <b>menu</b> pojok kiri atas, pilih <b>Domains</b></p>
                    <p>[03] Klik domain yang ingin di edit</p>
                    <p>[04] Klik <b>Manage Domains</b> lalu pilih <b>DNS Records</b></p>
                    <p>[05] Jika ada DNS terdahulu muncul, hapus semua dengan klik <b>Delete</b></p>
                    <p>[06] Pada bagian <b>Host Record</b>, klik <b>Quick Add</b>, 
                    kemudian kotak <b>Host</b> kosongkan, kotak <b>Point To</b> isi <b>216.239.32.21</b>, kotak <b>TTL</b> isi <b>60</b>,
                    kemudian klik tanda betul warna hijau <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/957301691794752.jpg" /></p>
                    <p>[07] Ulangi langkah [06] untuk ip 216.239.34.21 dan 216.239.36.21 da 216.239.38.21 sampai jadi 4 IP
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/215431691794968.jpg" /></p>
                    <p>[08] Turun ke bagian <b>CNAME Record</b> dan klik <b>Quick Add</b>, 
                    kemudian kotak <b>Host</b> isi <b>www</b>, kotak <b>Point To</b> isi <b>ghs.google.com</b>, kotak <b>TTL</b> isi <b>60</b>, 
                    turun lagi ke bawah dan klik Save All Changes</p>
                    <p>[09] Tunggu sekitar 10 menit dulu, baru kita buka Blogger > Setelan > Domain Kustom, 
                    kemudian masukkan domain dikotak yang disediakan disertai <b>www.</b></p>
                    <p>[10] Sebagian domain, ada yang ketika ditambahkan di Domain Kustom, langsung <b>bisa terpasang, 
                    ini bagus</b>, namun ada juga yang memerlukan setting tambahan seperti dibawah ini
                    <img src="https://hamidi.co.id/wp-content/uploads/2023/07/Capture-20.png" /></p>
                    <p>[11] Dari keterangan ini, bisa disimpulkan kita disuruh untuk memasang dua CNAME ini. 
                    Yang pertama adalah host <b>www</b> dengan tujuan <b>ghs.google.com</b> dan yang kedua adalah 
                    host <b>cffg4crjna65</b> dengan tujuan <b>gv-xehjzqzs2rl3do.dv.googlehosted.com</b></p>
                    <p>[12] Oke, karena host www sudah kita pasang, artinya kita hanya perlu memasang record yang ke dua. 
                    Ulangi langkah [08] kemudian kotak sesuai apa yang diberikan Blogger, kotak <b>TTL</b> isi <b>60</b> dan klik <b>Save All Changes</b>
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/305291691798523.jpg" /></p>
                    <p>[13] Jika sudah, kembali ke Blogspot dan klik Simpan pada domain kustom tadi, apabila belum tersimpan, 
                    tunggu sekitar 10 menit dan klik Simpan lagi, jika masih belum bisa, ulangi sampai bisa tersimpan.</p>
                    <p>[14] Apabila sudah tersimpan (berhasil dipasangkan), pastikan 3 tombol ini dihidupkan (hijau)
                    <img src="https://hamidi.co.id/wp-content/uploads/2023/07/Capture-22.png" /></p>
                    <p>[15] Biasanya blog mu belum bisa di akses, lihat pada bagian Ketersediaan HTTPS, jika statusnya sudah Tersedia, berarti blog mu sudah online.</p>
               
      </div>';
      
include '../../active/v2_foot.php';

?>
            