<?php

include '../../inc.php';
include '../../active/v2_head.php';

echo head_v2(760, '5%', 'NagaBiz ID - Tutorial Setting Domain');

echo '<div style="padding: 7px;">
            <style>
                img { padding: 3px 0px; display: block; width: 100%; }
            </style>
            
            <h3>Setting DNS Sav Ke Blogger</h3>
            <br />

                    <p>[01] Login ke halaman <a href="https://www.sav.com/domain_manager_v2/my_domains" target="_blank">My Domains</a></p>
                    <p>[02] Klik pada domain yang ingin di Edit</p>
                    <p>[03] Geser ke menu <b>DNS & Forwarding</b> dan klik <b>Manage DNS</b></p>
                    <p>[04] Jika muncul tampilan <b>Not using Sav DNS</b>, klik <b>Enable</b> dibagian <b>Custom</b>
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/810411692606078.jpg" /></p>
                    <p>[05] Jika sudah, akan muncul seperti seperti ini. Namun jika masih belum berubah, tunggu bbrpa menit dan reload halaman sampai berubah seperti ini
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/821661692606234.jpg" /></p>
                    <p>[06] Kotak DNS akan muncul
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/187371692606347.jpg" /></p>
                    <p>[07] Jika ada DNS terdahulu muncul, hapus semua dengan klik <b>Delete</b></p>
                    <p>[08] Pada bagian <b>Type</b> isi dengan <b>A</b>, <b>Name</b> isi dengan <b>@</b>, kemudian kotak <b>Value</b> isi <b>216.239.32.21</b> 
                    dan <b>Proxy</b> pilih yang <b>DNS Only</b> lalu klik <b>Add</b>
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/898731692606655.jpg" /></p>
                    <p>[09] Ulangi langkah [08] untuk ip 216.239.34.21 dan 216.239.36.21 da 216.239.38.21 sampai jadi 4 IP
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/295981692606774.jpg" /></p>
                    <p>[10] Lagi, <b>Type</b> isi dengan <b>CNAME</b>, <b>Name</b> isi dengan <b>www</b>, kemudian kotak <b>Value</b> isi <b>ghs.google.com</b> 
                    dan <b>Proxy</b> pilih yang <b>DNS Only</b> lalu klik <b>Add</b>
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/182591692606888.jpg" /></p>
                    <p>[11] Buka tab baru dan buka Blogger > Setelan > Domain Kustom, 
                    kemudian masukkan domain dikotak yang disediakan disertai <b>www.</b></p>
                    <p>[12] Sebagian domain, ada yang ketika ditambahkan di Domain Kustom, langsung <b>bisa terpasang, 
                    ini bagus</b>, namun ada juga yang memerlukan setting tambahan seperti dibawah ini
                    <img src="https://hamidi.co.id/wp-content/uploads/2023/07/Capture-20.png" /></p>
                    <p>[13] Dari keterangan ini, bisa disimpulkan kita disuruh untuk memasang dua CNAME ini. 
                    Yang pertama adalah host <b>www</b> dengan tujuan <b>ghs.google.com</b> dan yang kedua adalah 
                    host <b>cffg4crjna65</b> dengan tujuan <b>gv-xehjzqzs2rl3do.dv.googlehosted.com</b></p>
                    <p>[14] Oke, karena host www sudah kita pasang, artinya kita hanya perlu memasang record yang ke dua. 
                    Salin Host dan Tujuan yang kedua lalu kembali ke tab Sav DNS tadi dan isikan seperti langkah [10]</b>
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/482051692607064.jpg" /></p>
                    <p>[15] Setelah selesai, akan muncul 6 DNS ini, namun jika ada DNS jenis A selain empat IP ini, di Delete saja.
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/334411692607111.jpg" /></p>
                    <p>[16] Kembali ke tab Blogger/Blogspot dan klik Simpan pada domain kustom tadi, apabila belum tersimpan, 
                    tunggu sekitar 10 menit dan klik Simpan lagi, jika masih belum bisa, ulangi sampai bisa tersimpan.</p>
                    <p>[17] Apabila sudah tersimpan (berhasil dipasangkan), pastikan 3 tombol ini dihidupkan (hijau)
                    <img src="https://hamidi.co.id/wp-content/uploads/2023/07/Capture-22.png" /></p>
                    <p>[18] Biasanya blog mu belum bisa di akses, lihat pada bagian Ketersediaan HTTPS, jika statusnya sudah Tersedia, berarti blog mu sudah online.</p>
               
      </div>';
      
include '../../active/v2_foot.php';

?>
            