<?php

include '../../inc.php';
include '../../active/v2_head.php';

echo head_v2(760, '5%', 'NagaBiz ID - Tutorial Setting Domain');

echo '<div style="padding: 7px;">
            <style>
                img { padding: 3px 0px; display: block; width: 100%; }
            </style>
            
            <h3>Push Domain Sav</h3>
            <br />
            <p align="justify">
            Sebagian orang mengira bahwa transfer domain semudah memindahkan (push) domain. Faktanya, hal itu sangat berbeda.
            Banyak yang bertanya apakah domain bisa di transfer ke namecheap, godaddy, atau ke web lokal namun mereka minim pengetahuan soal transfer domain.</p>
            <p align="justify">
            Ada banyak persyaratan yang harus dipenuhi tergantung dari web (Registrar) penerima, namun ada dua hal inti yang harus kamu ketahui yang mana dua syarat ini
            berlaku disemua Registrar calon penerima transferan domain, <b>pertama</b> yaitu minimal domain yang di transfer sudah berumur 60 hari dan <b>kedua</b> 
            kamu harus bayar, ya benar, BAYAR. Karena saat domain di transfer ke web penerima misalnya NameCheap, maka pihak NameCheap otomatis akan menambah masa aktif domain
            selama 1 tahun. Penambahan masa aktif ini akan dikenakan biaya <b>Renewal</b> atau <b>Perpanjangan</b>, biaya tergantung dari harga yang ditetapkan oleh
            masing masing web penerima tersebut. </p>
            <p align="justify">
            Jadi, aku sarankan mentransfer domain dilakukan jika domain sudah umur 11 atau 12 bulan, dengan demikian kamu tidak perlu memperpanjang (renew) domain,
            cukup transfer domain maka akan bertambah umur 1 tahun kedepan.
            </p>
            
                    <p>[01] Login ke halaman <a href="https://www.sav.com/domain_manager_v2/my_domains" target="_blank">My Domains</a></p>
                    <p>[02] Klik pada domain yang ingin di transfer</p>
                    <p>[03] Pada <b>Lock Status</b>, klik <b>Unlock</b>
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/911131692604907.jpg" /></p>
                    <p>[04] Pada <b>Authorization Code</b>, klik <b>View</b> dan kamu akan melihat sebuah kode yang mana itu adalah Kode EPP yang digunakan untuk Transfer Domain
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/645611692605113.jpg" /></p>
            <p align="justify">
            Selanjutnya, silahkan kamu login ke web penerima (tujuan transfer) dan masuk ke menu Transfer Domain lalu masukkan domain yang ingin ditransfer,
            kemudian masukkan Kode EPP sebagai kode validasi transfer. Jika masih bingung, silahkan chat CS dari web penerima tersebut, karena setiap web memiliki 
            cara transfer domain yang berbeda.</p>

      </div>';
      
include '../../active/v2_foot.php';

?>
            