<?php

include '../../inc.php';
include '../../active/v2_head.php';

echo head_v2(760, '5%', 'NagaBiz ID - Tutorial Setting Domain');

echo '<div style="padding: 7px;">
            <style>
                img { padding: 3px 0px; display: block; width: 100%; }
            </style>
            
            <h3>Setting DNS NameSilo Ke Blogger</h3>
            <br />

                    <p>[01] Login ke halaman <a href=https://www.namesilo.com/account_domains.php" target="_blank">Domain Manager</a></p>
                    <p>[02] Klik pada domain yang ingin di Edit</p>
                    <p>[03] Turun ke bagian <b>DNS Records</b>, klik <b>Update</b>
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/484391695564064.jpg" /></p>
                    <p>[04] Jika muncul seperti ini <b>Click Here</b> dan kamu akan diarahkan ke halaman ganti nameserver
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/631471695564183.jpg" /></p>
                    <p>[05] Klik <b>Click here to select our default nameservers</b> maka DNSOWL akan muncul, klik <b>Save</b>
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/989811695564334.jpg" /></p>
                    <p>[06] Jika sudah, ulangi langkah <b>[03]</b> untuk kembali masuk ke halaman DNS</p>
                    <p>[07] Kamu akan melihat DNS default, hapus semua yang terlihat sampai kosong
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/355411695564678.jpg" /></p>
                    <p>[08] Turun kebawah dibagian DNS Template, pilih <b>Blogger</b> dengan mengklik tombol Apply Template
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/613821695564861.jpg" /></p>
                    <p>[09] Kamu akan melihat lima DNS seperti ini, edit semua TTL dari 7207 jadi 3600
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/951991695565109.jpg" /></p>
                    <p>[10] Buka tab baru dan buka Blogger > Setelan > Domain Kustom, 
                    kemudian masukkan domain dikotak yang disediakan disertai <b>www.</b></p>
                    <p>[11] Sebagian domain, ada yang ketika ditambahkan di Domain Kustom, langsung <b>bisa terpasang, 
                    ini bagus</b>, namun ada juga yang memerlukan setting tambahan seperti dibawah ini
                    <img src="https://hamidi.co.id/wp-content/uploads/2023/07/Capture-20.png" /></p>
                    <p>[12] Dari keterangan ini, bisa disimpulkan kita disuruh untuk memasang dua CNAME ini. 
                    Yang pertama adalah host <b>www</b> dengan tujuan <b>ghs.google.com</b> dan yang kedua adalah 
                    host <b>cffg4crjna65</b> dengan tujuan <b>gv-xehjzqzs2rl3do.dv.googlehosted.com</b></p>
                    <p>[13] Oke, karena host www sudah kita pasang, artinya kita hanya perlu memasang record yang ke dua. 
                    Salin Host dan Tujuan yang kedua lalu kembali ke tab Setting DNS NameSilo tadi dan klik add <b>CNAME</b>
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/821991695565448.jpg" /></p>
                    <p>[14] Isi sesuai DNS yang sudah di salin tadi, lalu klik <b>Submit</b>
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/394491695565642.jpg" /></p>
                    <p>[15] Setelah selesai, akan muncul 6 DNS ini, namun jika ada DNS selain empat IP dan dua CNAME ini, di Delete saja.
                    <img src="https://raw.githubusercontent.com/autowm/autowm.github.io/master/219591695565691.jpg" /></p>
                    <p>[16] Kembali ke tab Blogger/Blogspot dan klik Simpan pada domain kustom tadi, apabila belum tersimpan, 
                    tunggu sekitar 10 menit dan klik Simpan lagi, jika masih belum bisa, ulangi sampai bisa tersimpan.</p>
                    <p>[17] Apabila sudah tersimpan (berhasil dipasangkan), pastikan 3 tombol ini dihidupkan (hijau)
                    <img src="https://hamidi.co.id/wp-content/uploads/2023/07/Capture-22.png" /></p>
                    <p>[18] Biasanya blog mu belum bisa di akses, lihat pada bagian Ketersediaan HTTPS, jika statusnya sudah Tersedia, berarti blog mu sudah online.</p>
               
      </div>';
      
include '../../active/v2_foot.php';

?>
            